Package writer2latex.latex

# Class HeadingConverter

java.lang.Object
writer2latex.latex.HeadingConverter

public class HeadingConverter extends Object

## Constructor Summary

Constructors
Constructor
Description
`HeadingConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `HeadingConverter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`boolean`
`containsElements(Node node)`
`void`
`handleHeading(Element node, LaTeXDocumentPortion ldp, Context oc)`
Process a heading

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HeadingConverter

public HeadingConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)
Constructs a new `HeadingConverter`.

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

### handleHeading

public void handleHeading(Element node, LaTeXDocumentPortion ldp, Context oc)
Process a heading

Parameters:
  `node` - The text:h element node containing the heading
  `ldp` - The LaTeXDocumentPortion to add LaTeX code to
  `oc` - The current context

### containsElements

public boolean containsElements(Node node)